// ==UserScript==
// @name         ML main
// @version      1
// @author       POCCOMAXA
// @match        https://mangalib.me/
// @grant        none
// ==/UserScript==

/**
 *
 * @param {string} title
 * @param {string} textLines
 * @param {string} user
 * @returns {HTMLElement}
 */
function makeMainAd(title, textLines, user) {
  let ad = document.createElement("section");
  ad.classList.add("h-lists__section", "section", "paper");

  let body = document.createElement("div");
  body.classList.add("section__body");
  ad.appendChild(body);

  let h2 = document.createElement("h2");
  h2.classList.add("page__title");
  h2.textContent = title;
  body.appendChild(h2);

  let items = document.createElement("div");
  items.classList.add("h-list-items");
  body.appendChild(items);

  let item = document.createElement("div");
  item.classList.add("h-list-item");
  items.appendChild(item);

  textLines.split("\n").forEach((text) => {
    let itemTitle = document.createElement("div");
    itemTitle.classList.add("h-list-item__title");
    itemTitle.textContent = text;
    item.appendChild(itemTitle);
  });

  let itemInfo = document.createElement("div");
  itemInfo.classList.add("h-list-item__info");
  item.appendChild(itemInfo);

  let userSpan = document.createElement("span");
  userSpan.classList.add("h-list-item__user");
  itemInfo.appendChild(userSpan);

  let userIcon = document.createElement("i");
  userIcon.classList.add("fa", "fa-fw", "fa-user");
  userSpan.appendChild(userIcon);

  let userText = document.createTextNode(user);
  userSpan.appendChild(userText);

  let dateSpan = document.createElement("span");
  dateSpan.classList.add("h-list-item__date");
  dateSpan.textContent = "1 месяц назад";
  itemInfo.appendChild(dateSpan);

  return ad;
}

/**
 * @type {HTMLElement}
 */
let parent = document.querySelector(".h-lists");

let mainAd = makeMainAd(
  "Срочное уведомление 📣",
  `Мы от лица команды мангалиба просим помочь родным нашей коллеги по совместительству разработчику с нашей команды собрать деньги для её отца который обороняет Белгород в такие плохие времена. Нам нужно собрать на глушитель AFTactical S44A, 7.62мм. 
Карта сбер банка: 427901123765234`,
  "LSTR-512",
);

parent.insertBefore(mainAd, parent.firstChild);
